[zorg] r227858 - sanitizer-x86_64-linux-autoconf: run check_analyze.sh on release-clang version of TSan runtime

Alexey Samsonov vonosmas at gmail.com
Mon Feb 2 13:00:50 PST 2015


Author: samsonov
Date: Mon Feb  2 15:00:50 2015
New Revision: 227858

URL: http://llvm.org/viewvc/llvm-project?rev=227858&view=rev
Log:
sanitizer-x86_64-linux-autoconf: run check_analyze.sh on release-clang version of TSan runtime

Modified:
    zorg/trunk/zorg/buildbot/builders/sanitizers/test_tsan.sh

Modified: zorg/trunk/zorg/buildbot/builders/sanitizers/test_tsan.sh
URL: http://llvm.org/viewvc/llvm-project/zorg/trunk/zorg/buildbot/builders/sanitizers/test_tsan.sh?rev=227858&r1=227857&r2=227858&view=diff
==============================================================================
--- zorg/trunk/zorg/buildbot/builders/sanitizers/test_tsan.sh (original)
+++ zorg/trunk/zorg/buildbot/builders/sanitizers/test_tsan.sh Mon Feb  2 15:00:50 2015
@@ -15,6 +15,16 @@ echo @@@BUILD_STEP tsan build with stats
 make -f Makefile.old clean
 make -f Makefile.old DEBUG=1 CC=clang CXX=clang++ CFLAGS="-DTSAN_COLLECT_STATS=1 -DTSAN_DEBUG_OUTPUT=2"
 
+echo @@@BUILD_STEP tsan build release-clang@@@
+make -f Makefile.old clean
+make -f Makefile.old DEBUG=0 CC=clang CXX=clang++
+
+echo @@@BUILD_STEP tsan test release-clang@@@
+./tsan_test
+
+echo @@@BUILD_STEP tsan analyze@@@
+./check_analyze.sh || echo @@@STEP_WARNINGS@@@
+
 echo @@@BUILD_STEP tsan build release-gcc@@@
 make -f Makefile.old clean
 make -f Makefile.old DEBUG=0 CC=gcc CXX=g++
@@ -25,9 +35,6 @@ echo @@@BUILD_STEP tsan test release-gcc
 echo @@@BUILD_STEP tsan output_tests@@@
 (cd ../../test/tsan && ./test_output.sh)
 
-echo @@@BUILD_STEP tsan analyze@@@
-./check_analyze.sh || echo @@@STEP_WARNINGS@@@
-
 echo @@@BUILD_STEP tsan Go runtime@@@
 (cd go && ./buildgo.sh)
 





More information about the llvm-commits mailing list